Bug 1212254 - Paypal certificate test failure for nss
Paypal certificate test failure for nss
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss (Show other bugs)
7.1
All Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Elio Maldonado Batiz
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-15 22:20 EDT by Jim Perrin
Modified: 2015-05-13 09:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-13 09:35:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1151037 None None None Never

  None (edit)
Description Jim Perrin 2015-04-15 22:20:07 EDT
Description of problem:
Paypal certificate in nss tests is expired (again)

Version-Release number of selected component (if applicable):
3.16.2.3-5

How reproducible:
Always

Steps to Reproduce:
1.rebuild the nss src.rpm
2.
3.

Actual results:
chains.sh: #1397: RealCerts: Verifying certificate(s)  PayPalEE.cert with flags -d AllDB -pp      -o OID.2.16.840.1.113733.1.7.23.6  - FAILED
chains.sh: Verifying certificate(s)  BrAirWaysBadSig.cert with flags -d AllDB -pp      
vfychain -d AllDB -pp -vv       /builddir/build/BUILD/nss-3.16.2.3/nss/tests/libpkix/certs/BrAirWaysBadSig.cert 
Chain is bad!
PROBLEM WITH THE CERT CHAIN:
CERT 0. BrAirWaysBadSig :
  ERROR -8181: Peer's Certificate has expired.


Expected results:
tests succeed, package builds successfully. 

Additional info:
Comment 2 Andrey 2015-04-17 06:16:30 EDT
The same problem on RHEL 6.6
Comment 3 Hubert Kario 2015-05-13 09:35:12 EDT
New packages released in following erratum are resolving this issue:

https://rhn.redhat.com/errata/RHBA-2015-0965.html

If the solution does not work for you, please open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.